unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm6 = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox3: TGroupBox;
    GroupBox9: TGroupBox;
    GroupBox10: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton7: TRadioButton;
    RadioButton8: TRadioButton;
    RadioButton9: TRadioButton;
    RadioButton10: TRadioButton;
    RadioButton11: TRadioButton;
    RadioButton12: TRadioButton;
    RadioButton13: TRadioButton;
    Button1: TButton;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;

implementation

{$R *.dfm}



procedure TForm6.Button1Click(Sender: TObject);
var sum:integer;
begin

sum:=0;
//if radiobutton1.Checked:=false or
//radiobutton2.Checked:=false       or
//radiobutton3.Checked:=false         or
//radiobutton4.Checked:=false          or
//radiobutton5.Checked:=false            or
//radiobutton6.Checked:=false             or
//radiobutton7.Checked:=false              or
//radiobutton8.Checked:=false               or
//radiobutton9.Checked:=false                or
//radiobutton10.Checked:=false               or
//radiobutton11.Checked:=false                 or
//radiobutton12.Checked:=false                 or
//radiobutton13.Checked:=false
//then
//MessageBox('Заполнены не все поля', 'Look', MB_OK);

if radiobutton1.Checked then
sum:=sum+4;
if radiobutton2.Checked then
sum:=sum+3;
if radiobutton3.Checked then
sum:=sum+2;
if radiobutton4.Checked then
sum:=sum+1;
if radiobutton5.Checked then
sum:=sum+3;
if radiobutton6.Checked then
sum:=sum+2;
if radiobutton7.Checked then
sum:=sum+1;
if radiobutton8.Checked then
sum:=sum+3;
if radiobutton9.Checked then
sum:=sum+2;
if radiobutton10.Checked then
sum:=sum+1;
if radiobutton11.Checked then
sum:=sum+3;
if radiobutton12.Checked then
sum:=sum+2;
if radiobutton13.Checked then
sum:=sum+1;
Label2.Caption := IntToStr(sum);
if sum=0 then Label3.Caption:='баллов';
if sum=1 then Label3.Caption:='балл';
if (sum>=2) and (sum<=4) then Label3.Caption:='балла';
if sum<=4 then
memo1.Text:='Вы слабы, вы даже не думаете о том, что такое гнев. Если на вас наорали, вы все это пережевали и пошли дальше работать. Хех... Смотрите фильм Управление Гневом с Джеком Николсоном';
if (sum<=8) and (sum>4) then
memo1.Text:='Вы настоящий подчиненный, начальство слушаете прилежно, но за углом выскажете себе под нос все что вы о них думаете';
if (sum<=12) and (sum>8) then
memo1.Text:='Если начальство вдруг начнет вас учить как жиь, вы за словом в карман не полезете, начальник сразу узнает про вашу осведомленность про новенькую секретаршу, элитную квартирку, о которой не знает его жена. Только не переусердствуйте!';
if (sum<=16) and (sum>12) then
memo1.Text:='Для вас гнев - это профессия! Просыпаясь с утра вы только и думаете на кого бы сегодня надо покричать. Если вы не начальник, то вам очень туго приходится. Попытайтесь научиться расслабляться другими способами';

end;

procedure TForm6.FormCreate(Sender: TObject);
begin
radiobutton1.Checked:=false;
radiobutton2.Checked:=false;
radiobutton3.Checked:=false;
radiobutton4.Checked:=false;
radiobutton5.Checked:=false;
radiobutton6.Checked:=false;
radiobutton7.Checked:=false;
radiobutton8.Checked:=false;
radiobutton9.Checked:=false;
radiobutton10.Checked:=false;
radiobutton11.Checked:=false;
radiobutton12.Checked:=false;
radiobutton13.Checked:=false;


end;

procedure TForm6.Button2Click(Sender: TObject);
var sum:integer;
begin
radiobutton1.Checked:=false;
radiobutton2.Checked:=false;
radiobutton3.Checked:=false;
radiobutton4.Checked:=false;
radiobutton5.Checked:=false;
radiobutton6.Checked:=false;
radiobutton7.Checked:=false;
radiobutton8.Checked:=false;
radiobutton9.Checked:=false;
radiobutton10.Checked:=false;
radiobutton11.Checked:=false;
radiobutton12.Checked:=false;
radiobutton13.Checked:=false;
sum:=0;
Label2.Caption:=InttoStr(0);
Memo1.Clear;
end;

end.
